## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ElemMessage::ElemMessageTerminateException Class Reference

`#include <ElemMessage.hpp>`

Inheritance diagram for ElemMessage::ElemMessageTerminateException

Collaboration diagram for ElemMessage::ElemMessageTerminateException:

List of all members.

## Public Methods

- ElemMessageTerminateException (const XalanDOMString& theMessage)
    Construct an ElemMessageTerminateException object. More...
- ElemMessageTerminateException ( const LocatorType& theLocator, const XalanDOMString& theMessage)
    Construct an ElemMessageTerminateException object. More...
- virtual ~ElemMessageTerminateException ()

## Constructor & Destructor Documentation

ElemMessage::ElemMessageTerminateException::ElemMessageTerminateException ( | const XalanDOMString & theMessage )

Construct an ElemMessageTerminateException object.

Parameters:

  theMessage | message to print when exception thrown

ElemMessage::ElemMessageTerminateException::ElemMessageTerminateException ( | const LocatorType & theLocator,
| const XalanDOMString & theMessage )

Construct an ElemMessageTerminateException object.

Parameters:

  theLocator | The Locator to use for line number information, etc.
  theMessage | message to print when exception thrown

virtual ElemMessage::ElemMessageTerminateException::~ElemMessageTerminateException ( | )`[virtual]`

The documentation for this class was generated from the following file:

- ElemMessage.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.